Imports System.Data.Entity.Migrations

Namespace ModelOne.Context.Migrations
	Partial Public Class InitialModelOne
		Inherits DbMigration

		Public Overrides Sub Up()
			CreateTable("dbo.Doctors", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .ActorName = c.String, Key .Season = c.String}).PrimaryKey(Function(t) t.Id)

			CreateTable("dbo.Episodes", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .Season = c.Int(nullable:= False), Key .Name = c.String, Key .Abstract = c.String, Key .Doctor_Id = c.Int}).PrimaryKey(Function(t) t.Id).ForeignKey("dbo.Doctors", Function(t) t.Doctor_Id).Index(Function(t) t.Doctor_Id)
		End Sub

		Public Overrides Sub Down()
			DropForeignKey("dbo.Episodes", "Doctor_Id", "dbo.Doctors")
			DropIndex("dbo.Episodes", { "Doctor_Id" })
			DropTable("dbo.Episodes")
			DropTable("dbo.Doctors")
		End Sub
	End Class
End Namespace
