Imports System.Data.Entity

Imports ModelOne.Domain

Namespace ModelOne.Context
	Public Class ModelOneContext
		Inherits DbContext

	  Public Sub New()
		  MyBase.New("MultipleModelDb")
	  End Sub

	  Public Property Doctors As DbSet(Of Doctor)

	  Public Property Episodes As DbSet(Of Episode)

	  Protected Overrides Sub OnModelCreating(ByVal modelBuilder As DbModelBuilder)
		modelBuilder.HasDefaultSchema("ModelOne")
		MyBase.OnModelCreating(modelBuilder)
	  End Sub
	End Class
End Namespace
