Imports System.Data.Entity.Migrations

Namespace ModelOne.Context.ModelOneMigrations
	Partial Public Class Initial
		Inherits DbMigration

		Public Overrides Sub Up()
			CreateTable("ModelOne.Doctors", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .ActorName = c.String, Key .Season = c.String, Key .RegenerationTrigger = c.String}).PrimaryKey(Function(t) t.Id)

			CreateTable("ModelOne.Episodes", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .Season = c.Int(nullable:= False), Key .Name = c.String, Key .Abstract = c.String, Key .Doctor_Id = c.Int}).PrimaryKey(Function(t) t.Id).ForeignKey("ModelOne.Doctors", Function(t) t.Doctor_Id).Index(Function(t) t.Doctor_Id)
		End Sub

		Public Overrides Sub Down()
			DropForeignKey("ModelOne.Episodes", "Doctor_Id", "ModelOne.Doctors")
			DropIndex("ModelOne.Episodes", { "Doctor_Id" })
			DropTable("ModelOne.Episodes")
			DropTable("ModelOne.Doctors")
		End Sub
	End Class
End Namespace
