Imports System.Data.Entity.Migrations

Namespace ModelOne.Context.ModelTwoMigrations
	Partial Public Class Initial
		Inherits DbMigration

		Public Overrides Sub Up()
			CreateTable("ModelTwo.BBCEmployees", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .Name = c.String}).PrimaryKey(Function(t) t.Id)

			CreateTable("ModelTwo.HiringHistories", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .Date = c.DateTime(nullable:= False), Key .Role = c.Int(nullable:= False), Key .EmployeeId = c.Int(nullable:= False), Key .BBCEmployee_Id = c.Int}).PrimaryKey(Function(t) t.Id).ForeignKey("ModelTwo.BBCEmployees", Function(t) t.BBCEmployee_Id).Index(Function(t) t.BBCEmployee_Id)
		End Sub

		Public Overrides Sub Down()
			DropForeignKey("ModelTwo.HiringHistories", "BBCEmployee_Id", "ModelTwo.BBCEmployees")
			DropIndex("ModelTwo.HiringHistories", { "BBCEmployee_Id" })
			DropTable("ModelTwo.HiringHistories")
			DropTable("ModelTwo.BBCEmployees")
		End Sub
	End Class
End Namespace
