Imports System.Data.Entity.Migrations

Namespace ModelTwo.Context.Migrations
	Partial Public Class InitialModelTwo
		Inherits DbMigration

		Public Overrides Sub Up()
			CreateTable("dbo.BBCEmployees", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .Name = c.String}).PrimaryKey(Function(t) t.Id)

			CreateTable("dbo.HiringHistories", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .Date = c.DateTime(nullable:= False), Key .Role = c.Int(nullable:= False), Key .EmployeeId = c.Int(nullable:= False), Key .BBCEmployee_Id = c.Int}).PrimaryKey(Function(t) t.Id).ForeignKey("dbo.BBCEmployees", Function(t) t.BBCEmployee_Id).Index(Function(t) t.BBCEmployee_Id)
		End Sub

		Public Overrides Sub Down()
			DropForeignKey("dbo.HiringHistories", "BBCEmployee_Id", "dbo.BBCEmployees")
			DropIndex("dbo.HiringHistories", { "BBCEmployee_Id" })
			DropTable("dbo.HiringHistories")
			DropTable("dbo.BBCEmployees")
		End Sub
	End Class
End Namespace
